﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FSA_DATAVERSION')
 CREATE TABLE T_FSA_DATAVERSION (
FID BIGINT DEFAULT 0 NOT NULL,
FSRCTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FVERSION BIGINT DEFAULT 0 NOT NULL,
FREFPARAM BIGINT DEFAULT 0 NOT NULL,
FTARGETENTITY VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FSA_DV_FILTERFIELDS')
 CREATE TABLE T_FSA_DV_FILTERFIELDS (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FDIMNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDIMNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FOLDDIMNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FFILTERMODE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FSA_DV_FILTERMEMBERS')
 CREATE TABLE T_FSA_DV_FILTERMEMBERS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FMEMBERNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FMEMBERNAME VARCHAR(500) DEFAULT ' ' NOT NULL,
FMEMBERLONGNUMBER VARCHAR(200) DEFAULT ' ' NOT NULL
);